package com.smthng.jennyutil.items;

import net.minecraft.nbt.CompoundTag;
import net.minecraft.world.item.ItemStack;


public class ToolMode {
    private final int maxVal, defVal;
    private final String tagName;

    /**
     *
     * @param maxVal maximum mode value (inclusive)
     * @param defaultVal value to return if no value is found, will be the first value returned
     */
    public ToolMode(int maxVal, int defaultVal) {
        this.maxVal = maxVal;
        this.defVal = defaultVal;
        this.tagName = "tool_mode";
    }

    public int getMode(ItemStack itemStack) {
        CompoundTag compoundTag = itemStack.getOrCreateTag();
        if (compoundTag.contains(tagName)) {
            return compoundTag.getInt(tagName);
        } else {
            setMode(itemStack, defVal);
            return defVal;
        }
    }

    public void setMode(ItemStack itemStack, int mode) {
        CompoundTag compoundTag = itemStack.getOrCreateTag();
        compoundTag.putInt(tagName, mode);
        itemStack.setTag(compoundTag);
    }

    public void cycleMode(ItemStack itemStack) {
        setMode(itemStack, (getMode(itemStack) + 1) % (maxVal + 1));
    }
}
